Skip to main content
Client Get Agent
curl --request GET \
  --url https://agents-api.kolena.com/api/v1/client/agents/{agent_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://agents-api.kolena.com/api/v1/client/agents/{agent_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://agents-api.kolena.com/api/v1/client/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "workspace_id": 123,
  "name": "<string>",
  "objective": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "updated": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "agent_guidelines": {
    "prompt": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "updated": "2023-11-07T05:31:56Z"
  },
  "n_runs": 123,
  "prompts": [
    {
      "id": 123,
      "name": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "updated": "2023-11-07T05:31:56Z",
      "model": {
        "version": "<string>"
      },
      "options": {},
      "documents": [
        {
          "filename": "<string>",
          "content_hash": "<string>"
        }
      ],
      "input_prompt_ids": [
        123
      ],
      "last_updated_by": "<string>"
    }
  ],
  "output_templates": [
    {
      "id": 123,
      "filename": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "metadata": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
Rate Limit: This endpoint is limited to requests per minute per user.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.

Path Parameters

agent_id
integer
required

Response

Successful Response

id
integer
required

The ID of this Agent.

workspace_id
integer
required

The ID of the workspace hosting this Agent.

name
string
required

The name of this Agent.

objective
string
required

A short description of this Agent's objective, e.g. "Extract key information from leases and addendum documents".

created
string<date-time>
required

When this Agent was created, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00)

updated
string<date-time>
required

When this Agent was last updated, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00)

created_by
string
required

The email address of the user who created this Agent.

agent_guidelines
AgentGuidelines · object | null
required

The Agent Guidelines that will be used for all Prompts in this Agent.

n_runs
integer
required

The number of times this Agent has been Run.

prompts
Prompt · object[]
required

The Prompts configured for this Agent.

Example:
[
{
"created": "2025-01-01T00:00:00",
"documents": [],
"id": 1,
"input_prompt_ids": [],
"last_updated_by": "user@example.com",
"model": {
"type": "efficient",
"version": "2.0.0-rc1"
},
"name": "Account number",
"options": {
"code_generation": false,
"document_filter": false,
"enhanced_vision": false,
"prompt": "Find the account number",
"type": "string",
"web_search": false
},
"updated": "2025-01-01T00:00:00"
},
{
"created": "2025-01-01T00:00:00",
"documents": [],
"id": 2,
"input_prompt_ids": [1],
"last_updated_by": "user@example.com",
"model": { "type": "default", "version": "2.0.0-rc2" },
"name": "Account info",
"options": {
"code_generation": false,
"document_filter": false,
"enhanced_vision": false,
"fields": ["full name", "address"],
"prompt": "Extract form fields using account number: <kolena-prompt id='1'/>",
"type": "form",
"web_search": false
},
"updated": "2025-01-02T00:00:00"
}
]
output_templates
OutputTemplate · object[]

The Templates configured for this Agent, used to generate formatted output documents.

metadata
Metadata · object

Metadata for this Agent.

Example:
{
"department": "finance",
"environment": "production",
"tags": ["invoice-processing", "high-priority"],
"version": 2
}